Author Topic: trying to compile fs2_open 3.6.7 after jpgtga/pcx32 are not valid CL options  (Read 2483 times)

0 Members and 1 Guest are viewing this topic.

Offline oaul

  • 23
trying to compile fs2_open 3.6.7 after jpgtga/pcx32 are not valid CL options
Hello -
Using a straitforward cvs checkout fs2_open_r compiles.  However, jpgtga and pcx32 are not recognized as command line options:
$ ./fs2_open_r -jpgtga -pcx32
Unrecognized command line parameter "-jpgtga".  Ignoring...
Unrecognized command line parameter "-pcx32".  Ignoring...

My mv_effects file has weird stuff going on.  My lasers have this weird (Opague, uni-color) blue artifact-like thing sorrounding them.  So does the shield effect.  Also, mv_adveffects does not show anything in the background, just a bunch of stars.

So then I tried 3.6.7.   Compiling I get this error:

$ make
Making all in libjpeg
make[1]: Entering directory `/home/paul/fs2_open_3_6_7/libjpeg'
make[1]: Nothing to be done for `all'.
make[1]: Leaving directory `/home/paul/fs2_open_3_6_7/libjpeg'
Making all in code
make[1]: Entering directory `/home/paul/fs2_open_3_6_7/code'
if g++ -DPACKAGE_NAME=\"fs2_open\" -DPACKAGE_TARNAME=\"fs2_open\" -DPACKAGE_VERSION=\"3.6.7\" -DPACKAGE_STRING=\"fs2_open\ 3.6.7\" -DPACKAGE_BUGREPORT=\"\" -DNO_CD_CHECK=1 -DNDEBUG=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBGL=1 -DSCP_UNIX=1 -DNO_DIRECT3D=1 -DUSE_OPENAL=1 -I. -I.    -g -O2 -Wall -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -fsigned-char -Wno-unknown-pragmas  -Wno-deprecated -Wno-char-subscripts  -MT ds.o -MD -MP -MF ".deps/ds.Tpo" -c -o ds.o `test -f 'sound/ds.cpp' || echo './'`sound/ds.cpp; \
        then mv -f ".deps/ds.Tpo" ".deps/ds.Po"; else rm -f ".deps/ds.Tpo"; exit 1; fi
./math/floating.h: In function 'int fl_round_2048(float)':
./math/floating.h:128: warning: dereferencing type-punned pointer will break strict-aliasing rules
sound/ds.cpp: In function 'int ds_init(int, int, unsigned int, short unsigned int)':
sound/ds.cpp:1659: error: invalid conversion from 'void*' to 'ALCcontext*'
sound/ds.cpp:1659: error:   initializing argument 1 of 'ALCboolean alcMakeContextCurrent(ALCcontext*)'
sound/ds.cpp:1698: error: invalid conversion from 'ALubyte*' to 'const ALchar*'
sound/ds.cpp:1698: error:   initializing argument 1 of 'ALboolean alIsExtensionPresent(const ALchar*)'
sound/ds.cpp: In function 'void ds_close()':
sound/ds.cpp:2174: error: invalid conversion from 'void*' to 'ALCcontext*'
sound/ds.cpp:2174: error:   initializing argument 1 of 'void alcDestroyContext(ALCcontext*)'
make[1]: *** [ds.o] Error 1
make[1]: Leaving directory `/home/paul/fs2_open_3_6_7/code'
make: *** [all-recursive] Error 1

libjpeg-dev is installed:
 
dpkg -l | grep libjpeg
ii  libjpeg-progs                    6b-13                               Programs for manipulating JPEG files
ii  libjpeg62                        6b-13                               The Independent JPEG Group's JPEG runtime li
ii  libjpeg62-dev                    6b-13                               Development files for the IJG JPEG library

Tried exporting CC as 3.4.   Same thing.  Any suggestions?  I HAVE to play this game.
« Last Edit: May 31, 2007, 06:31:00 pm by oaul »

 

Offline Goober5000

  • HLP Loremaster
  • Administrator
  • 214
    • Goober5000 Productions
Re: trying to compile fs2_open 3.6.7 after jpgtga/pcx32 are not valid CL options
Don't use 3.6.7, it's way too old.  Stick with the most recent build.  Don't worry about the jpgtga and pcx32 warnings; the game will ignore those.

As for the graphical glitches, try removing mv_adveffects.  It has issues.

All mediaVPs are optional, by the way, so you can take out all mv_*.vp files and see if that fixes anything.

 

Offline oaul

  • 23
Re: trying to compile fs2_open 3.6.7 after jpgtga/pcx32 are not valid CL options
I removed adveffects because it just doesnt work. 

Using mv_effects is weird as stated (ie - shockwaves are just one big black square), but things like the planets/stars are much more high-res

Do the effect files normally work under linux...?  I know nothing about the scp and Im having a hard time figuring out how well the linux version works in general.  Am I just going to have to deal with the weird weapon effects?  Does anyone here have debian / ubuntu builds?  I looked all over!

 

Offline Polpolion

  • The sizzle, it thinks!
  • 211
    • Minecraft
Re: trying to compile fs2_open 3.6.7 after jpgtga/pcx32 are not valid CL options
Here is a link to the most recent Linux builds.


Of course, I know almost nothing about Linux and MAC compatibility, so don't shoot me if it doesn't work.

 

Offline karajorma

  • King Louie - Jungle VIP
  • Administrator
  • 214
    • Karajorma's Freespace FAQ
Re: trying to compile fs2_open 3.6.7 after jpgtga/pcx32 are not valid CL options
Do you have the 710 patches for the media VPs? You will have graphical errors if you don't have those.
Karajorma's Freespace FAQ. It's almost like asking me yourself.

[ Diaspora ] - [ Seeds Of Rebellion ] - [ Mind Games ]

 

Offline castor

  • 29
    • http://www.ffighters.co.uk./home/
Re: trying to compile fs2_open 3.6.7 after jpgtga/pcx32 are not valid CL options
I know nothing about the scp and Im having a hard time figuring out how well the linux version works in general.
It works very well :)
Its not uncommon to have configuration, installation, driver/hardware problems, but once you get those sorted out its ought to be flawless.

  

Offline oaul

  • 23
Re: trying to compile fs2_open 3.6.7 after jpgtga/pcx32 are not valid CL options
Linux support is impressive to say the least.  After being pointed to the official Mac/Linux builds/mediavps (+ 710 patches), it works great.  God I love this game.  Thanks alot.  But now I am trying to prevent the mouse from recentering.  See http://www.hard-light.net/forums/index.php/topic,47408.0.html
if you have any say.